var __create = Object.create;
var __defProp = Object.defineProperty;
var __getProtoOf = Object.getPrototypeOf;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __toESM = (mod, isNodeMode, target) => {
  target = mod != null ? __create(__getProtoOf(mod)) : {};
  const to = isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target;
  for (let key of __getOwnPropNames(mod))
    if (!__hasOwnProp.call(to, key))
      __defProp(to, key, {
        get: () => mod[key],
        enumerable: true
      });
  return to;
};
var __commonJS = (cb, mod) => () => (mod || cb((mod = { exports: {} }).exports, mod), mod.exports);

// node_modules/tailwindcss/lib/util/createPlugin.js
var require_createPlugin = __commonJS((exports) => {
  var createPlugin = function(plugin, config) {
    return {
      handler: plugin,
      config
    };
  };
  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  Object.defineProperty(exports, "default", {
    enumerable: true,
    get: function() {
      return _default;
    }
  });
  createPlugin.withOptions = function(pluginFunction, configFunction = () => ({})) {
    const optionsFunction = function(options) {
      return {
        __options: options,
        handler: pluginFunction(options),
        config: configFunction(options)
      };
    };
    optionsFunction.__isOptionsFunction = true;
    optionsFunction.__pluginFunction = pluginFunction;
    optionsFunction.__configFunction = configFunction;
    return optionsFunction;
  };
  var _default = createPlugin;
});

// node_modules/tailwindcss/lib/public/create-plugin.js
var require_create_plugin = __commonJS((exports) => {
  var _interop_require_default = function(obj) {
    return obj && obj.__esModule ? obj : {
      default: obj
    };
  };
  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  Object.defineProperty(exports, "default", {
    enumerable: true,
    get: function() {
      return _default;
    }
  });
  var _createPlugin = _interop_require_default(require_createPlugin());
  var _default = _createPlugin.default;
});

// node_modules/tailwindcss/plugin.js
var require_plugin = __commonJS((exports, module) => {
  var createPlugin = require_create_plugin();
  module.exports = (createPlugin.__esModule ? createPlugin : { default: createPlugin }).default;
});

// src/index.ts
var plugin = __toESM(require_plugin(), 1);
var CONFIG_SECTION_NAME = "rootVars";
var buildVariableName = (defaultPrefix, groupName, propertyName, useDefaultPrefixOnly) => {
  const prefix = defaultPrefix ? `${defaultPrefix}` : "";
  if (useDefaultPrefixOnly) {
    return `--${prefix}${prefix && "-"}${propertyName}`;
  }
  return `--${prefix}${prefix && "-"}${groupName}-${propertyName}`;
};
var cssRootVariablesPlugin = plugin.default(({ addComponents, config }) => {
  const rootVarsConfig = config(CONFIG_SECTION_NAME) || {};
  const {
    defaultPrefix = "",
    useDefaultPrefixOnly = false,
    vars = {}
  } = rootVarsConfig;
  const rootVariables = {};
  Object.entries(vars).forEach(([groupName, propertyMap]) => {
    Object.entries(propertyMap).forEach(([propertyName, propertyValue]) => {
      const variableName = buildVariableName(defaultPrefix, groupName, propertyName, useDefaultPrefixOnly);
      rootVariables[variableName] = propertyValue;
    });
  });
  addComponents({
    ":root": rootVariables
  });
});
var src_default = cssRootVariablesPlugin;
export {
  src_default as default
};
